{% extends 'index.html' %}

{% load static %}

{% block content %}

 <main id="main">
<style>
   .portfolio-wrap {
        width: initial;
        height: 360px;
        overflow: hidden;
        margin: auto;
   }
   .portfolio-wrap img {
      width: initial;
      height: 360px;
      overflow: hidden;
   }
</style>
    <!-- ======= Details Section ======= -->
    <section id="portfolio" class="portfolio section-bg">
      <div class="container">

        <div class="section-title">
          <h2>{{ category.title }}</h2>
          <p>{{ category.description }}</p>
        </div>

        <div class="row portfolio-container" data-aos="fade-up" data-aos-delay="100">
            {% for image in category.images.all %}
                <div class="col-lg-4 col-md-6 portfolio-item filter-app">
                   <a href="{% url 'image_detail_url' category.slug image.pk %}">
                   <div class="card border-dark mb-3">
                        <div class="portfolio-wrap">
                            <img src="{{ image.image.url }}" class="img-thumbnail" alt="Responsive image">
                            <div class="portfolio-links">
                              <i><font size="4" color="white" face="Open Sans">{{ image.title }}</font></i>
                   </a>
                </div>
                        </div>
                   </div>
                </div>
            {% endfor %}
        </div>
         <br/>
         <a href="{% url 'category_list_url' %}" class="btn btn-dark"style="float: left;">Back</a></p>


    </section><!-- End Portfolio Details Section -->
   <!-- Vendor JS Files -->
  <script src="{% static 'assets/vendor/glightbox/js/glightbox.min.js' %}"></script>
  <script src="{% static 'assets/vendor/swiper/swiper-bundle.min.js' %}"></script>
  </main><!-- End #main -->
  <!-- Template Main JS File -->
  <script src="{% static 'assets/js/main.js' %}"></script>
{% endblock content%}

